# ActivityQuery (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.sites
Class ActivityQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.sites.ActivityQuery

    public class ActivityQuery

extends Query

Describes a query for the feed containing descriptions of all activity within a site.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`ActivityQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getKind()` Returns the content of a the given kind(s).
`void` `setKind(java.lang.String kind)` Sets the content of a the given kind(s).

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityQuery

    public ActivityQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getKind

    public java.lang.String getKind()

  Returns the content of a the given kind(s).

  Returns:
    content of a the given kind(s) or `null` to indicate that the parameter is not set.

### setKind

    public void setKind(java.lang.String kind)

  Sets the content of a the given kind(s).

  Parameters:
    `kind` - content of a the given kind(s) or `null` to remove this parameter if set.